import { NgtscProgram } from '@angular/compiler-cli';
import * as ts from 'typescript';
import { Plugin } from 'vite';
import { MarkdownTemplateTransform } from './authoring/markdown-transform.js';
export interface PluginOptions {
    tsconfig?: string;
    workspaceRoot?: string;
    inlineStylesExtension?: string;
    jit?: boolean;
    advanced?: {
        /**
         * Custom TypeScript transformers that are run before Angular compilation
         */
        tsTransformers?: ts.CustomTransformers;
    };
    experimental?: {
        /**
         * Enable experimental support for Analog file extension
         */
        supportAnalogFormat?: boolean | {
            include: string[];
        };
        markdownTemplateTransforms?: MarkdownTemplateTransform[];
    };
    supportedBrowsers?: string[];
    transformFilter?: (code: string, id: string) => boolean;
}
interface EmitFileResult {
    content?: string;
    map?: string;
    dependencies: readonly string[];
    hash?: Uint8Array;
    errors: (string | ts.DiagnosticMessageChain)[];
    warnings: (string | ts.DiagnosticMessageChain)[];
}
type FileEmitter = (file: string) => Promise<EmitFileResult | undefined>;
export declare function angular(options?: PluginOptions): Plugin[];
export declare function createFileEmitter(program: ts.BuilderProgram, transformers?: ts.CustomTransformers, onAfterEmit?: (sourceFile: ts.SourceFile) => void, angularCompiler?: NgtscProgram['compiler']): FileEmitter;
export {};
